## org.apache.myfaces.el
Class ELParserHelper.MyArraySuffix

    java.lang.Object
      org.apache.commons.el.ValueSuffix
          org.apache.commons.el.ArraySuffix
              org.apache.myfaces.el.ELParserHelper.MyArraySuffix

Enclosing class:
  ELParserHelper

public static class ELParserHelper.MyArraySuffix
extends org.apache.commons.el.ArraySuffix

Override ArraySuffix.evaluate() to use our property resolver

Constructor Summary
`ELParserHelper.MyArraySuffix(org.apache.commons.el.ArraySuffix arraySuffix, javax.faces.application.Application application)`

Method Summary
`java.lang.Object` `evaluate(java.lang.Object base, javax.servlet.jsp.el.VariableResolver variableResolver, javax.servlet.jsp.el.FunctionMapper functions, org.apache.commons.el.Logger logger)` Evaluates the expression in the given context, operating on the given value, using JSF property resolver.

Methods inherited from class org.apache.commons.el.ArraySuffix
`getExpressionString, getIndex, setIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELParserHelper.MyArraySuffix

    public ELParserHelper.MyArraySuffix(org.apache.commons.el.ArraySuffix arraySuffix,
                                        javax.faces.application.Application application)

Method Detail

### evaluate

    public java.lang.Object evaluate(java.lang.Object base,
                                     javax.servlet.jsp.el.VariableResolver variableResolver,
                                     javax.servlet.jsp.el.FunctionMapper functions,
                                     org.apache.commons.el.Logger logger)
                              throws javax.servlet.jsp.el.ELException

  Evaluates the expression in the given context, operating on the given value, using JSF property resolver.

  Throws:
    `javax.servlet.jsp.el.ELException`